#include <exBasics.h>
#include <exEdit.h>
#include <exEntry.h>
#include <exStxt.h>
#include <exMenu.h>
#include "appl.h"
#include <exMacros.h>
#include <ife.h>

#define ESH_NAME      " ERGO Command Listener 2.1 "
#define ESH_MAXAPPL   10
#define ESH_MENUS     "esh.menu"/* file containing system menus */
#define ESH_GEOMETRY  "0x0+0+300" /* default position of command listener */

#define ESH_MAXPARMS  50	/* max. number of params for an application */

#define ESH_CONNECT   0x1	/* connection between cl and component */
#define ESH_STARTED   0x2	/* application started */
#define ESH_OCCUPIED  0x4   	/* slot in application table not free */
#define ESH_SYS       0x8       /* system appls, do not appear in user menus */

#define ESH_KILL      1		/* send by kill closeApplication */

struct ProcDescr {
  int fd;
  int pid;
  char *procName;		/* last part of the application name */
  char *procLine;		/* line in .eshrc to start the application */
  int flags;
};

typedef struct _Listener {
  Display *display;	      	/* the display (used in various situations) */
  GC gc;
  Widget parent;	  	/* the parent widget for various situations */
  Widget listener_shell;	/* the top level widget */
  Widget listener_window;	/* top-level pane widget */
  Widget form_window;		/* top-level form widget */
  Editor view, command;		/* listener editors */
  Widget prompt;	      	/* prompt window */
  exMenubar *menubar;		/* listener menubar */
  XFontStruct *font;
  char *name;
  struct ProcDescr application[ESH_MAXAPPL];
  int cmdIndex;			/* index of next command */
  MenuDescr popupMenus[10];	/* holds the popup menus */
  int popupCnt;			/* number of popup menus */
  int flag;
  int dpyno;			/* file descriptor of X connection */
} Listener;
  
#define PROMPTWIDTH     10	/* width of prompt-window (chars) */

extern Listener *listener;

#include "procs.h"
