static editCmd entryCmdTable [] = {
  {ctrl('f'), right},		/* cursor right */
  {ctrl('b'), left},		/* cursor left  */
  {ctrl('n'), dwncol},		/* down in column */
  {ctrl('p'), upcol},		/* up in column */
  {ctrl('a'), beglin},		/* beginning of line */
  {ctrl('e'), endlin},		/* end of line */
  {ctrl('v'), dwnpage},		/* forward page */
  {ctrl('d'), delnxt},	       	/* delete next character */
  {127,     delprev},           /* delete previous char */
  {ctrl('k'), krest},		/* delete to end of line */
  {ctrl('o'), openln},	        /* open line above */
  {'\n',    eNewline},          /* go to next entry */
  {'\r',    eNewline},          /* go to next entry */
  {ctrl('l'), newscr},		/* redraw screen */
  {ctrl('s'), fsearch},		/* search forward */
  {ctrl('r'), bwsearch},	/* search backward */
  {ctrl('w'), cut},		/* cut region into kill buffer */
  {ctrl('y'), yank},       	/* yank killbuffer */
  {EOS,     (int (*)()) 0},	/* end of list */
};
	
static editCmd ctrlxTable [] = {
  {'o', newline},		/* insert newline */	       
  {'k', killBuffer},		/* clear the current buffer */
  {'?', help},			/* display help information */
  {ctrl('d'), dot},		/* set dot to current position */
  {ctrl('m'), exMark},		/* set mark to current position */
  {ctrl('x'), exchangeDotMark},	/* exchange dot and mark */
  {EOS, (int (*)()) 0},		
};

static editCmd escTable [] = {
  {'<', topBuffer},		/* goto top of file */
  {'>', botBuffer},		/* goto bottom of file */
  {' ', goLine},		/* goto specified line */
  {'=', memory},		/* display statistics */
  {'?', whatLine},		/* display current line number */
  {'b', wordl},			/* move to left word */
  {'f', wordr},			/* move to right word */
  {'n', upScroll},		/* scroll up */
  {'p', dwnScroll},		/* scroll down */
  {'v', dwnpage},		/* display previous page */
  {'w', fdelword},		/* delete next word */
  {'s', ffsearch},		/* continue search forward */
  {'r', bbsearch},		/* continue search backword */
  {127, bdelword},		/* delete previous word */
  {EOS, (int (*)()) 0},		
};

static cmdDescr entryCmds[] = {
  {eNewline,        " enter next entry"},
};

